package ru.dbotthepony.kstarbound.defs.actor.behavior

import ru.dbotthepony.kstarbound.json.builder.IStringSerializable

enum class CompositeNodeType(override val jsonName: String, val fnName: String) : IStringSerializable {
	SEQUENCE("Sequence", "SequenceNode"),
	SELECTOR("Selector", "SelectorNode"),
	PARALLEL("Parallel", "ParallelNode"),
	DYNAMIC("Dynamic", "DynamicNode"),
	RANDOMIZE("Randomize", "RandomNode");
}
