package ru.dbotthepony.kstarbound.defs.world

import ru.dbotthepony.kstarbound.math.vector.Vector2d

class WorldServerConfig(
	val playerSpaceStartRegionSize: Vector2d,
	val playerSpaceStartDistanceIncrement: Double,
	val playerSpaceStartMaximumTries: Int,
	val playerStartRegionMaximumTries: Int = 1,
	val playerStartRegionMaximumVerticalSearch: Int = 1,
	val playerStartRegionSize: Vector2d,
	val spawnDungeonRetries: Int = 1,
)
